# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-09-05 07:00
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_szuprefix.utils.modelutils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Attachment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField(null=True)),
                ('file', models.FileField(upload_to='attachments/%Y/%m/%d/', verbose_name='\u6587\u4ef6')),
                ('name', models.CharField(blank=True, max_length=128, null=True, verbose_name='\u6587\u4ef6\u540d')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('content_type', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
                ('owner', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='common_attachments', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': '\u9644\u4ef6',
                'verbose_name_plural': '\u9644\u4ef6',
            },
        ),
        migrations.CreateModel(
            name='ExcelTask',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField(null=True)),
                ('name', models.CharField(max_length=128, verbose_name='\u540d\u79f0')),
                ('params', django_szuprefix.utils.modelutils.JSONField(verbose_name='\u53c2\u6570')),
                ('status', models.PositiveSmallIntegerField(choices=[(0, '\u7b49\u5f85\u6267\u884c'), (1, '\u5f00\u59cb\u6267\u884c'), (2, '\u6267\u884c\u4e2d'), (4, '\u6267\u884c\u5b8c\u6bd5')], default=0, verbose_name='\u72b6\u6001')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('content_type', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
                ('owner', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='common_excel_tasks', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Eexcel\u5bfc\u51fa\u4efb\u52a1',
                'verbose_name_plural': 'Eexcel\u5bfc\u51fa\u4efb\u52a1',
            },
        ),
        migrations.CreateModel(
            name='Image',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField(null=True)),
                ('file', models.ImageField(upload_to='images/%Y/%m/%d/', verbose_name='\u6587\u4ef6')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('content_type', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
                ('owner', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='common_images', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': '\u56fe\u7247',
                'verbose_name_plural': '\u56fe\u7247',
            },
        ),
        migrations.CreateModel(
            name='Setting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField()),
                ('name', models.CharField(max_length=64, verbose_name='\u540d\u79f0')),
                ('json_data', django_szuprefix.utils.modelutils.JSONField(blank=True, null=True, verbose_name='\u5185\u5bb9')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
            ],
            options={
                'verbose_name': '\u914d\u7f6e',
                'verbose_name_plural': '\u914d\u7f6e',
            },
        ),
        migrations.CreateModel(
            name='Trash',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField()),
                ('json_data', django_szuprefix.utils.modelutils.JSONField(blank=True, null=True, verbose_name='\u5185\u5bb9')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u5220\u9664\u65f6\u95f4')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
            ],
            options={
                'verbose_name': '\u5783\u573e',
                'verbose_name_plural': '\u5783\u573e',
            },
        ),
        migrations.AlterUniqueTogether(
            name='trash',
            unique_together=set([('content_type', 'object_id')]),
        ),
        migrations.AlterUniqueTogether(
            name='setting',
            unique_together=set([('content_type', 'object_id', 'name')]),
        ),
    ]
